@CHARSET "UTF-8";

HTML, BODY {
	display: block;
	width: 100%;
	height: 100%;
	overflow-x: hidden;
	overflow-y: hidden;
	margin: 0;
	padding: 0;
	border: 0;
}

* {
	font-family: Verdana, Arial, sans-serif;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ie-box-sizing: border-box;
	-o-box-sizing: border-box;
	box-sizing: border-box;
}

BODY {
	font-size: 7.5pt;
	background-color: rgb(254, 254, 254);
	background-size: cover;
	background-repeat: repeat-x;
}

BODY.FleetMain_ {
	background-image: url(../../img/sys/gsgroup-pattern-black.png);
}

.sysContent > DIV#MapView {
	margin: 4px 5px 4px;
}
.sysContent > DIV#MapView > DIV.content {
	padding: 0;
	overflow: hidden;
}
.sysContent > DIV#MapView > DIV.content > DIV {
	width: 100%;
	height: 100%;
	overflow: hidden;
}

TABLE {
	table-layout: fixed;
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;
	border-radius: inherit;
	-moz-border-radius: inherit;
	-webkit-border-radius: inherit;
}

TABLE TR:first-child TH {
	border-top: 0;
}

FIELDSET TABLE TR:last-child TD, .Block:first-child:nth-last-child(1) .content TABLE TR:last-child TD {
	margin-bottom: -1px;
	border-bottom-width: 1px;
}

TABLE TR TH:first-child, TABLE TR TD:first-child {
	border-left-width: 1px;
}

TABLE TR TH:last-child, TABLE TR TD:last-child {
	border-right-width: 1px;
}

FIELDSET TABLE TR TH:first-child, FIELDSET TABLE TR TD:first-child {
	border-left-width: 1px;
}

FIELDSET TABLE TR TH:last-child, FIELDSET TABLE TR TD:last-child {
	border-right-width: 1px;
}

@media not all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
	/* Exclude IE10+ CSS, as setting flex props causes form to have zero height */
	FORM {
		flex: 1;
		display: flex;
		flex-direction: column;
	}
}

.sysPopup .content FORM {
	display: flex;
	flex-direction: column;
	margin: 0;
	height: 100%;
	padding: 0 4px;
}

INPUT, SELECT, BUTTON {
	outline: none;
	border: 1px solid #d6d6d6;
	width: 100%;
	height: 22px;
	top: 0;
	vertical-align: top;
	color: #0d0d0d;
	background-color: #fefefe;
}

INPUT[type=text], INPUT[type=password], SELECT {
	padding: 0 3px 0 3px;
}

INPUT[type=button], INPUT[type=submit], BUTTON {
	display: inline-block;
	cursor: pointer;
	width: auto;
	min-width: 30px;
}

FORM INPUT[type=button], FORM INPUT[type=submit], FORM BUTTON {
	margin-right: 5px;
}

FORM TR {
	height: 25px;
	/*border-bottom: 1px solid rgb(220,228,232);*/
	border-bottom: 1px solid transparent;
}

FORM TR:last-child {
	border-bottom: none;
}

FORM TD {
	/*height: 22px;*/
	/*border-right: 1px solid #DDDDDD;*/
}

FORM TD:first-child {
	width: 140px;
}

FORM TD:last-child {
	padding-right: 6px;
	/*border-right: none;*/
}

FORM INPUT, FORM SELECT {
	height: 25px;
	line-height: 25px;
}

INPUT[type=submit], INPUT[type=button], BUTTON {
	display: inline-block;
	margin: 0;
	background-color: rgba(0, 136, 206, .2);
	border: 1px solid rgb(0, 156, 235);
	box-shadow: none;
	font-size: 12px;
	font-weight: 300;
	text-align: center;
	transition: all .1s ease-out;
	padding: 0 10px;
}

/*INPUT[TYPE=button][onclick*="submit"] + INPUT[type=button],*/
INPUT[TYPE=button] + INPUT[type=button][onclick*=RemovePopup],
INPUT[TYPE=submit] + INPUT[type=button][onclick*=RemovePopup] {
	background-color: rgba(160, 160, 160, 1);
}

/*INPUT[TYPE=button][onclick*="submit"] + INPUT[type=button]:hover,*/
INPUT[TYPE=button] + INPUT[type=button][onclick*=RemovePopup]:hover,
INPUT[TYPE=submit] + INPUT[type=button][onclick*=RemovePopup]:hover {
	background-color: rgba(160, 160, 160, 0.7);
}

/*INPUT[TYPE=button][onclick*="submit"] + INPUT[type=button]:active,*/
INPUT[TYPE=button] + INPUT[type=button][onclick*=RemovePopup]:active,
INPUT[TYPE=submit] + INPUT[type=button][onclick*=RemovePopup]:active {
	background-color: rgba(160, 160, 160, 1.3);
}

INPUT[type=submit]:hover, INPUT[type=submit]:focus,
INPUT[type=button]:hover, BUTTON:hover,
INPUT[type=button]:focus, BUTTON:focus {
	background-color: rgba(0, 136, 206, 0.7);
}

INPUT[type=submit]:active,
INPUT[type=button]:active,
BUTTON:active {
	background-color: rgba(0, 136, 206, 1.3);
}

FORM INPUT[type=button], FORM INPUT[type=submit], FORM BUTTON {
	padding: 0 12px;
	margin: 0;
	text-align: center;
	/*	background: rgb(0,91,145);
		color: white; */
}

DIV > INPUT[type=submit],
DIV > INPUT[type=button],
DIV > BUTTON {
	margin: 2px 1px;
	height: 25px;
	line-height: 23px;
	min-width: 60px;
	transition: all ease-out .075s;
}

INPUT[type=checkbox] {
	background-color: transparent;
	width: 14px;
	height: 14px !important;
	margin: 0;
	padding: 0 !important;
	-moz-appearance: none;
	-webkit-appearance: none;
	-o-appearance: none;
	-ie-appearance: none;
	-khtml-appearance: none;
	appearance: none;
	border: 1px solid #CCCCCC;
	vertical-align: text-top;
}

input[type=checkbox]:checked {
	background: url('/img/sys/edit/checked.png') 1px 1px no-repeat;
}

INPUT[type=radio] {
	background-color: transparent;
	width: 14px;
	height: 14px !important;
	margin: 0;
	padding: 0 !important;
	vertical-align: top;
}

TEXTAREA {
	width: 100%;
	color: #0d0d0d;
	background-color: #fefefe;
	border: 1px solid #CCCCCC;
	padding: 2px 4px 2px 4px;
	font-size: 10px;
	resize: none;
}

INPUT[readonly], TEXTAREA[readonly] {
	background-color: #E0E0E0;
}

FORM * {
	font-weight: normal;
	font-size: 10px;
}

FORM FIELDSET {
	padding: 0;
	margin: 0 0 2px 0;
	border: none;
}

FORM FIELDSET FIELDSET {
	border-bottom: 1px solid #DDDDDD;
	margin: -6px 0 3px 6px;
	padding: 0 0 2px 0;
}

FORM FIELDSET LEGEND {
	color: rgb(0, 91, 145);
	height: 20px;
	line-height: 20px;
	width: 100%;
	text-indent: 0;
	padding: 0;
	font-size: 12px;
	font-weight: bold;
	border-bottom: 1px solid #DDDDDD;
}

FORM FIELDSET FIELDSET LEGEND {
	font-size: 10px;
	height: 20px;
	line-height: 20px;
	text-indent: 1px;
}

FIELDSET[disabled] INPUT, FIELDSET[disabled] SELECT, INPUT[disabled] {
	color: #505050;
	background-color: #e0e0e0 !important;
	cursor: default !important;
}

.italic {
	font-style: italic;
}

.sysEditFormFieldSet, .sysContent FIELDSET, .sysBlock FIELDSET {
	display: inline-block;
	padding: 2px 5px 5px 5px;
	background-color: #f8f8f8;
	border: none;
	margin: 2px;
}

.sysEditFormFieldSet LEGEND, .sysContent FIELDSET LEGEND, .sysBlock FIELDSET LEGEND {
	font-weight: bold;
	padding: 0 2px 0 3px;
	color: #005B91;
	font-size: 12px;
	margin-bottom: 4px;
	margin-top: 4px;
	bottom: 4px;
	float: left;
	border: none;
}

/*#SystemSelFieldsEdit #editFormInputs TR>TD LABEL {*/
#editFormInputs TR > TD LABEL:not(:only-child) {
	float: left;
	clear: both;
	padding: 4px;
}

INPUT[type=text][data-custom_type=PredefText] + .sysEditFieldMS LABEL:last-child {
	padding-bottom: 1px;
}

INPUT[type=text].sysEditDropdown, SELECT {
	padding-right: 20px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;

	background-image: url("data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPScxLjEnIHhtbG5zPSdodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZycgeG1sbnM6eGxpbms9J2h0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsnIHdpZHRoPScyNCcgaGVpZ2h0PScyNCcgdmlld0JveD0nMCAwIDI0IDI0Jz48cGF0aCBmaWxsPScjNDQ0JyBkPSdNNy40MDYgNy44MjhsNC41OTQgNC41OTQgNC41OTQtNC41OTQgMS40MDYgMS40MDYtNiA2LTYtNnonPjwvcGF0aD48L3N2Zz4=");
	background-position: 100% 40%;
	background-repeat: no-repeat;

	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

SELECT::-ms-expand {
	display: none;
}

.button > SELECT {
	background-color: #fefefe;
	width: 35px;
}

.FieldCont {
	position: relative;
}

.sysEditFieldMS {
	position: fixed;
	display: none;
	border: 1px solid #aaaaaa;
	background-color: #fefefe;
	z-index: 1000;
	max-height: 300px;
	overflow-y: auto;
}

.sysEditFieldMS > DIV:first-child {
	position: sticky;
	top: 0;
	line-height: 22px;
	pointer-events: none;
}

.sysEditFieldMS > DIV:first-child > .sysEditFieldMSAll,
.sysEditFieldMS > DIV:first-child > .sysEditFieldMSNone {
	position: absolute;
	top: 0;
	left: 0;
	padding: 0 11px;
	cursor: pointer;
	color: #3a4586;
	line-height: normal;
	min-width: 25%;
	line-height: 22px;
	background-color: rgba(234,234,234,.7);
	-webkit-backdrop-filter: blur(.8px);
	backdrop-filter: blur(.8px);
	text-align: center;
	pointer-events: auto;
}
.sysEditFieldMS > DIV:first-child > .sysEditFieldMSAll:hover,
.sysEditFieldMS > DIV:first-child > .sysEditFieldMSNone:hover {
	background-color: rgba(234,234,234,.9);
	opacity: 1;
}
.sysEditFieldMS > DIV:first-child > .sysEditFieldMSNone {
	left: auto;
	right: 0px;
}

.sysEditFieldMS LABEL {
	display: block;
	width: 100%;
	vertical-align: middle;
	cursor: pointer;
	margin: 0;
	padding: 2px;

	background-color: #fefefe;
	white-space: nowrap;
}

.sysEditFieldMS LABEL:hover {
	background-color: #c1d5e8;
}

INPUT[type=text][data-custom_type=PredefText] + .sysEditFieldMS {
	border: 0.5px solid rgb(122, 156, 211);
	margin-top: -.5px;
	padding-bottom: 1px;
}

INPUT[type=text][data-custom_type=PredefText] + .sysEditFieldMS LABEL {
	padding: 0px 3px 1px 3px;
}

INPUT[type=text][data-custom_type=PredefText] + .sysEditFieldMS LABEL:hover {
	background-color: rgb(30, 144, 255);
	color: #ffffff;
}

.systemSuggest {
	background-color: #fbfbfb;
	border: 1px solid #d0d0d0;
	max-height: 300px;
	overflow-x: hidden;
	overflow-y: auto;
}

.systemSuggestLine {
	line-height: 18px;
	cursor: pointer;
}

.systemSuggestLine:hover {
	color: #fefefe;
	background-color: rgb(0, 136, 206);
}

.expandable {
	padding-top: 2px;
	padding-bottom: 2px;
}

.expandable > DIV {
	width: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
}

.unselectable, .lineMenu, #mapMenuContainer, .leftArrow, .rightArrow, .systemMenu {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.draghandle, .draghandle_hover {
	cursor: ew-resize;
	position: absolute;
	top: 0px;
	bottom: 0px;
	right: -9px;
	width: 12px;
	margin: 0;
	padding: 0;
	z-index: 11;
}

.draghandle_hover {
	background-image: url('/img/sys/block/arrow_up.png');
	background-position: center bottom;
	background-repeat: no-repeat;
	top: -30px;
	bottom: -10px;
	z-index: 100;
}

.loadingOverlay {
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background-color: silver;
	opacity: .5;
	background-color: rgba(192, 192, 192, .8);
}

.loadingOverlay > IMG {
	position: absolute;
	display: block;
	left: 50%;
	top: 50%;
	margin-left: -32px;
	margin-top: -32px;
}

.header + .content + .loadingOverlay > IMG {
	margin-top: -20px;
}

.header + .tabBar + .content + .loadingOverlay > IMG {
	margin-top: -8px;
}

.tabBar {
	position: relative;
	margin: 0;
	width: auto;
	height: 27px;
	background-color: #7D9AAA;
	border: 0;
	border-left: 1px solid #7D9AAA;
	border-right: 1px solid #7D9AAA;
}

.sysTabsWrap {
	overflow: hidden;
	margin: 0 27px;
}

.leftArrow, .rightArrow {
	/*	width: 20px;
		height: 100%;*/
	margin: 0 !important;
	background-color: transparent;
	float: none !important;
	position: absolute;
	top: 3px;
	left: 2px;
	right: auto;
	z-index: 15;
}

.rightArrow {
	left: auto;
	right: 2px;
}

.leftArrow:hover,
.rightArrow:hover {
	opacity: 0.5;
}

.leftArrow:active,
.rightArrow:active {
	opacity: 0.3;
}

.sysTabs {
	white-space: nowrap;
	display: inline-block;
}

.sysTabs > DIV {
	display: inline-block;
	margin: 0;
	margin-right: 1px;
	padding: 0px 6px;
	min-width: 32px;
	height: 27px;
	line-height: 27px;
	background-color: rgba(255, 255, 255, .1);

	color: #000000;
	font-size: 12px;
	vertical-align: bottom;
	cursor: pointer;
	position: relative;
	transition: all 100ms ease-in-out;
}

.sysTabs > DIV:hover {
	background-color: rgba(255, 255, 255, .2);
}

.sysTabs > DIV:active {
	background-color: rgba(255, 255, 255, .3);
}

.sysTabs > DIV.active {
	background-color: rgba(254, 254, 254, 1);
	z-index: 10;
}

#objectlistLArrow, #objectlistRArrow {
	position: absolute;
	top: 0;
	width: 20px;
	height: 100%;
	z-index: 10;
}

#objectlistLArrow {
	left: 0px;
}

#objectlistRArrow {
	right: 0px;
}

/* Positioning of navigation buttons in edit field. */

/* TODO: Possibly remove, and set min/max height/top/bottom values in script instead. */
#editFormInputs {
	flex: 1;
	overflow-y: auto;
	padding-bottom: 1px;
}

.sysPopup #editFormInputs {
	min-height: 100px;
}

#editFormInputs TABLE {
	width: 100%;
}

#editFormInputs TR > TD {
	position: relative;
	vertical-align: top;
	line-height: 22px;
}

#editFormInputs TR > TD > * {
	line-height: normal;
}

#editFormInputs input[type=text],
#editFormInputs input[type=gs-time],
#editFormInputs input[type=password],
#editFormInputs input[type=file],
#editFormInputs select {
	height: 25px;
	position: relative;
}

#editFormInputs TR > TD input[type=file] {
	display: none;
}
#editFormInputs TR > TD input[type=file]+label {
	display: block;
	border: 1px solid silver;
	width: 100%;
	line-height: 25px;
	padding: 0 3px;
	background-color: rgb(254, 254, 254);
	cursor: pointer;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

#editFormInputs label.select-wrapper {
	background: transparent url("data:image/svg+xml;utf8,<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='24' height='24' viewBox='0 0 24 24'><path fill='#444' d='M7.406 7.828l4.594 4.594 4.594-4.594 1.406 1.406-6 6-6-6z'></path></svg>") no-repeat right center;
}

#editFormInputs label.select-wrapper:hover {
	/*background-color: rgba(0,0,0,.02);*/
}

#editFormInputs label.select-wrapper select {
	background: none;
	-webkit-appearance: textfield;
	appearance: textfield;
}

#editFormInputs td:last-child {
	padding: 0;
}

/* Styling for date/time input fields. */
.Block INPUT[type=text].sysEditDateField {
	width: 73px;
}

.Block INPUT[type=text].sysEditTimeField {
	width: 23px;
}

:disabled, .disabled {
	color: #c9c2c2 !important;
	cursor: default;
}

.bold {
	font-weight: bold;
}

.colorGreen {
	color: green;
}

.colorRed {
	color: red;
}

.colorOrange {
	color: orange;
}

.colorDarkviolet {
	color: darkviolet;
}

/* IE 10 & 11 FIXES */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
	.sysPopup {
		display: block !important;
	}

	.EditBlock .flexInput {
		display: block !important;
	}

	.sysPopup .Block {
		display: block !important;
	}

	.FleetOneservice #test {
		display: block !important;
	}

	.FleetOneshipment #loadCarriers {
		display: block !important;
	}
}

.map-icon {
	text-shadow: -2px 1px 0 #00000033, 1px -1px 0 #ffe00000, 0px 3px 8px #0000005e, 1px 1px 0 #ff000000;
	font-size: 20px;
}

.fleetCategoryList_icon {
	font-size: 15px;
	margin-top: 2px;
	display: block !important;
	text-align: center;
}